<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'BySolutionIntro',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section
    :id="data.id"
    class="by-solution-intro slp-pt-96 slp-pb-64"
    :data-aos="data.aos_animation"
    :data-aos-duration="data.aos_duration"
  >
    <SlpContainer>
      <SlpRow>
        <SlpColumn>
          <SlpTypography
            v-if="data.header"
            class="header"
            tag="h2"
            variant="heading2-bold"
            >{{ data.header }}</SlpTypography
          >
          <SlpTypography
            tag="p"
            :variant="data.text_variant || 'heading5'"
            class="by-solution-intro__text"
          >
            <span class="by-solution-intro__highlight">{{
              data.text.highlight
            }}</span>
            <span
              v-if="data.text && data.text.description"
              v-html="$md.render(data.text.description)"
            />
          </SlpTypography>
          <SlpButton
            v-if="data.cta"
            class="slp-mt-16 by-solution-intro__button"
            variant="primary"
            :href="data.cta.href || data.cta.url"
            :data-ga-name="data.cta.data_ga_name"
            :data-ga-location="data.cta.data_ga_location"
          >
            {{ data.cta.text }}
            <SlpIcon
              class="slp-ml-8"
              name="chevron-lg-right"
              variant="product"
              alt="Chevron Right Icon"
            />
          </SlpButton>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.by-solution-intro {
  &__highlight {
    font-weight: $font-weight-bold;
  }
  .header {
    margin-bottom: $spacing-24;
  }

  @media (max-width: $breakpoint-md) {
    margin-top: $spacing-64;
    padding-top: 0;
    padding-bottom: 0;

    .header {
      margin-bottom: $spacing-16;
    }

    &__button {
      width: 100%;
      justify-content: center;
    }
  }
}
</style>
